//
// StringUtils.h
// IvyMedia
//
// Created by haibara on 9/2/14.
//
//

#import <Foundation/Foundation.h>

@interface StringUtils : NSObject

+ (NSString *)capitalize:(NSString *)str;
+ (NSString *)uncapitalize:(NSString *)str;
+ (NSString *)substringBeforeLast:(NSString *)str separator:(NSString *)separator;

+ (BOOL)isEmpty:(NSString *)string;
+ (BOOL)isBlank:(NSString *)string;
+ (BOOL)isNumeric:(NSString *)string;

+ (NSArray *)split:(NSString *)str separator:(NSString *)separator;
+ (NSString *)join:(NSString *)firstString, ...NS_REQUIRES_NIL_TERMINATION;

@end
